@import '../../variables.scss';

.side-collapse {
  &__body{
    top: $header-height;
    left: 0;
    max-height: 100vh;
    height: 100%;
    overflow: scroll;
    width: 100%;
    background: $bia-white;
    z-index: 3;
    transition: left 0.2s ease-out, right 0.2s ease-out;
  }

  &--closed{
    left: -100%;
  }

  &__background {
    top: 0;
    left: 0;
    z-index: 2;
    background-color: $bia-black;
    opacity: 0.28;
    transition: opacity 0.2s ease-out;

    &--faded {
      opacity: 0;
      z-index: -1;
      transition: opacity 0.2s ease-out, z-index 0s ease 0.2s;
    }
  }
}
